1. Registry
  2. Packages
  3. Oracle Cloud Infrastructure
  4. API Docs
  5. Database
  6. getAutonomousContainerDatabaseBackups
Viewing docs for Oracle Cloud Infrastructure v5.1.0
published on Friday, Sep 25, 2026 by Pulumi
oci logo oci logo
Viewing docs for Oracle Cloud Infrastructure v5.1.0
published on Friday, Sep 25, 2026 by Pulumi

    This data source provides the list of Autonomous Container Database Backups in Oracle Cloud Infrastructure Database service.

    Gets a list of Autonomous Container Database backups by using either the ‘autonomousDatabaseId’ or ‘compartmentId’ as your query parameter.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const testAutonomousContainerDatabaseBackups = oci.database.getAutonomousContainerDatabaseBackups({
        autonomousContainerDatabaseId: testAutonomousContainerDatabase.id,
        compartmentId: compartmentId,
        displayName: autonomousContainerDatabaseBackupDisplayName,
        infrastructureType: autonomousContainerDatabaseBackupInfrastructureType,
        isRemote: autonomousContainerDatabaseBackupIsRemote === "true",
        state: autonomousContainerDatabaseBackupState,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    test_autonomous_container_database_backups = oci.database.get_autonomous_container_database_backups(autonomous_container_database_id=test_autonomous_container_database["id"],
        compartment_id=compartment_id,
        display_name=autonomous_container_database_backup_display_name,
        infrastructure_type=autonomous_container_database_backup_infrastructure_type,
        is_remote=autonomous_container_database_backup_is_remote == "true",
        state=autonomous_container_database_backup_state)
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/database"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := database.GetAutonomousContainerDatabaseBackups(ctx, &database.GetAutonomousContainerDatabaseBackupsArgs{
    			AutonomousContainerDatabaseId: pulumi.StringRef(testAutonomousContainerDatabase.Id),
    			CompartmentId:                 pulumi.StringRef(compartmentId),
    			DisplayName:                   pulumi.StringRef(autonomousContainerDatabaseBackupDisplayName),
    			InfrastructureType:            pulumi.StringRef(autonomousContainerDatabaseBackupInfrastructureType),
    			IsRemote:                      pulumi.BoolRef(autonomousContainerDatabaseBackupIsRemote),
    			State:                         pulumi.StringRef(autonomousContainerDatabaseBackupState),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var testAutonomousContainerDatabaseBackups = Oci.Database.GetAutonomousContainerDatabaseBackups.Invoke(new()
        {
            AutonomousContainerDatabaseId = testAutonomousContainerDatabase.Id,
            CompartmentId = compartmentId,
            DisplayName = autonomousContainerDatabaseBackupDisplayName,
            InfrastructureType = autonomousContainerDatabaseBackupInfrastructureType,
            IsRemote = autonomousContainerDatabaseBackupIsRemote,
            State = autonomousContainerDatabaseBackupState,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.Database.DatabaseFunctions;
    import com.pulumi.oci.Database.inputs.GetAutonomousContainerDatabaseBackupsArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var testAutonomousContainerDatabaseBackups = DatabaseFunctions.getAutonomousContainerDatabaseBackups(GetAutonomousContainerDatabaseBackupsArgs.builder()
                .autonomousContainerDatabaseId(testAutonomousContainerDatabase.id())
                .compartmentId(compartmentId)
                .displayName(autonomousContainerDatabaseBackupDisplayName)
                .infrastructureType(autonomousContainerDatabaseBackupInfrastructureType)
                .isRemote(autonomousContainerDatabaseBackupIsRemote)
                .state(autonomousContainerDatabaseBackupState)
                .build());
    
        }
    }
    
    variables:
      testAutonomousContainerDatabaseBackups:
        fn::invoke:
          function: oci:Database:getAutonomousContainerDatabaseBackups
          arguments:
            autonomousContainerDatabaseId: ${testAutonomousContainerDatabase.id}
            compartmentId: ${compartmentId}
            displayName: ${autonomousContainerDatabaseBackupDisplayName}
            infrastructureType: ${autonomousContainerDatabaseBackupInfrastructureType}
            isRemote: ${autonomousContainerDatabaseBackupIsRemote}
            state: ${autonomousContainerDatabaseBackupState}
    
    pulumi {
      required_providers {
        oci = {
          source = "pulumi/oci"
        }
      }
    }
    
    data "oci_database_getautonomouscontainerdatabasebackups" "testAutonomousContainerDatabaseBackups" {
      autonomous_container_database_id = testAutonomousContainerDatabase.id
      compartment_id                   = compartmentId
      display_name                     = autonomousContainerDatabaseBackupDisplayName
      infrastructure_type              = autonomousContainerDatabaseBackupInfrastructureType
      is_remote                        = autonomousContainerDatabaseBackupIsRemote
      state                            = autonomousContainerDatabaseBackupState
    }
    

    Using getAutonomousContainerDatabaseBackups

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getAutonomousContainerDatabaseBackups(args: GetAutonomousContainerDatabaseBackupsArgs, opts?: InvokeOptions): Promise<GetAutonomousContainerDatabaseBackupsResult>
    function getAutonomousContainerDatabaseBackupsOutput(args: GetAutonomousContainerDatabaseBackupsOutputArgs, opts?: InvokeOutputOptions): Output<GetAutonomousContainerDatabaseBackupsResult>
    def get_autonomous_container_database_backups(autonomous_container_database_id: Optional[str] = None,
                                                  compartment_id: Optional[str] = None,
                                                  display_name: Optional[str] = None,
                                                  filters: Optional[Sequence[GetAutonomousContainerDatabaseBackupsFilter]] = None,
                                                  infrastructure_type: Optional[str] = None,
                                                  is_remote: Optional[bool] = None,
                                                  state: Optional[str] = None,
                                                  opts: Optional[InvokeOptions] = None) -> GetAutonomousContainerDatabaseBackupsResult
    def get_autonomous_container_database_backups_output(autonomous_container_database_id: pulumi.Input[Optional[str]] = None,
                                                  compartment_id: pulumi.Input[Optional[str]] = None,
                                                  display_name: pulumi.Input[Optional[str]] = None,
                                                  filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetAutonomousContainerDatabaseBackupsFilterArgs]]]] = None,
                                                  infrastructure_type: pulumi.Input[Optional[str]] = None,
                                                  is_remote: pulumi.Input[Optional[bool]] = None,
                                                  state: pulumi.Input[Optional[str]] = None,
                                                  opts: Optional[InvokeOutputOptions] = None) -> Output[GetAutonomousContainerDatabaseBackupsResult]
    func GetAutonomousContainerDatabaseBackups(ctx *Context, args *GetAutonomousContainerDatabaseBackupsArgs, opts ...InvokeOption) (*GetAutonomousContainerDatabaseBackupsResult, error)
    func GetAutonomousContainerDatabaseBackupsOutput(ctx *Context, args *GetAutonomousContainerDatabaseBackupsOutputArgs, opts ...InvokeOption) GetAutonomousContainerDatabaseBackupsResultOutput

    > Note: This function is named GetAutonomousContainerDatabaseBackups in the Go SDK.

    public static class GetAutonomousContainerDatabaseBackups 
    {
        public static Task<GetAutonomousContainerDatabaseBackupsResult> InvokeAsync(GetAutonomousContainerDatabaseBackupsArgs args, InvokeOptions? opts = null)
        public static Output<GetAutonomousContainerDatabaseBackupsResult> Invoke(GetAutonomousContainerDatabaseBackupsInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetAutonomousContainerDatabaseBackupsResult> Invoke(GetAutonomousContainerDatabaseBackupsInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetAutonomousContainerDatabaseBackupsResult> getAutonomousContainerDatabaseBackups(GetAutonomousContainerDatabaseBackupsArgs args, InvokeOptions options)
    public static Output<GetAutonomousContainerDatabaseBackupsResult> getAutonomousContainerDatabaseBackups(GetAutonomousContainerDatabaseBackupsArgs args, InvokeOptions options)
    public static Output<GetAutonomousContainerDatabaseBackupsResult> getAutonomousContainerDatabaseBackups(GetAutonomousContainerDatabaseBackupsArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: oci:Database/getAutonomousContainerDatabaseBackups:getAutonomousContainerDatabaseBackups
      arguments:
        # arguments dictionary
    data "oci_database_get_autonomous_container_database_backups" "name" {
        # arguments
    }

    The following arguments are supported:

    AutonomousContainerDatabaseId string
    The Autonomous Container Database OCID.
    CompartmentId string
    The compartment OCID.
    DisplayName string
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    Filters List<GetAutonomousContainerDatabaseBackupsFilter>
    InfrastructureType string
    A filter to return only resources that match the given Infrastructure Type.
    IsRemote bool
    call for all remote backups
    State string
    A filter to return only resources that match the given lifecycle state exactly.
    AutonomousContainerDatabaseId string
    The Autonomous Container Database OCID.
    CompartmentId string
    The compartment OCID.
    DisplayName string
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    Filters []GetAutonomousContainerDatabaseBackupsFilter
    InfrastructureType string
    A filter to return only resources that match the given Infrastructure Type.
    IsRemote bool
    call for all remote backups
    State string
    A filter to return only resources that match the given lifecycle state exactly.
    autonomous_container_database_id string
    The Autonomous Container Database OCID.
    compartment_id string
    The compartment OCID.
    display_name string
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    filters list(object)
    infrastructure_type string
    A filter to return only resources that match the given Infrastructure Type.
    is_remote bool
    call for all remote backups
    state string
    A filter to return only resources that match the given lifecycle state exactly.
    autonomousContainerDatabaseId String
    The Autonomous Container Database OCID.
    compartmentId String
    The compartment OCID.
    displayName String
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    filters List<GetAutonomousContainerBackupsFilter>
    infrastructureType String
    A filter to return only resources that match the given Infrastructure Type.
    isRemote Boolean
    call for all remote backups
    state String
    A filter to return only resources that match the given lifecycle state exactly.
    autonomousContainerDatabaseId string
    The Autonomous Container Database OCID.
    compartmentId string
    The compartment OCID.
    displayName string
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    filters GetAutonomousContainerDatabaseBackupsFilter[]
    infrastructureType string
    A filter to return only resources that match the given Infrastructure Type.
    isRemote boolean
    call for all remote backups
    state string
    A filter to return only resources that match the given lifecycle state exactly.
    autonomous_container_database_id str
    The Autonomous Container Database OCID.
    compartment_id str
    The compartment OCID.
    display_name str
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    filters Sequence[GetAutonomousContainerDatabaseBackupsFilter]
    infrastructure_type str
    A filter to return only resources that match the given Infrastructure Type.
    is_remote bool
    call for all remote backups
    state str
    A filter to return only resources that match the given lifecycle state exactly.
    autonomousContainerDatabaseId String
    The Autonomous Container Database OCID.
    compartmentId String
    The compartment OCID.
    displayName String
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    filters List<Property Map>
    infrastructureType String
    A filter to return only resources that match the given Infrastructure Type.
    isRemote Boolean
    call for all remote backups
    state String
    A filter to return only resources that match the given lifecycle state exactly.

    getAutonomousContainerDatabaseBackups Result

    The following output properties are available:

    AutonomousContainerDatabaseBackupCollections List<GetAutonomousContainerDatabaseBackupsAutonomousContainerDatabaseBackupCollection>
    The list of autonomous_container_database_backup_collection.
    Id string
    The provider-assigned unique ID for this managed resource.
    AutonomousContainerDatabaseId string
    The OCID of the Autonomous Container Database.
    CompartmentId string
    The OCID of the compartment.
    DisplayName string
    A user-friendly name for the backup. This name need not be unique.
    Filters List<GetAutonomousContainerDatabaseBackupsFilter>
    InfrastructureType string
    The infrastructure type this resource belongs to.
    IsRemote bool
    Indicates whether the backup destination is cross-region or local.
    State string
    The current state of the backup.
    AutonomousContainerDatabaseBackupCollections []GetAutonomousContainerDatabaseBackupsAutonomousContainerDatabaseBackupCollection
    The list of autonomous_container_database_backup_collection.
    Id string
    The provider-assigned unique ID for this managed resource.
    AutonomousContainerDatabaseId string
    The OCID of the Autonomous Container Database.
    CompartmentId string
    The OCID of the compartment.
    DisplayName string
    A user-friendly name for the backup. This name need not be unique.
    Filters []GetAutonomousContainerDatabaseBackupsFilter
    InfrastructureType string
    The infrastructure type this resource belongs to.
    IsRemote bool
    Indicates whether the backup destination is cross-region or local.
    State string
    The current state of the backup.
    autonomous_container_database_backup_collections list(object)
    The list of autonomous_container_database_backup_collection.
    id string
    The provider-assigned unique ID for this managed resource.
    autonomous_container_database_id string
    The OCID of the Autonomous Container Database.
    compartment_id string
    The OCID of the compartment.
    display_name string
    A user-friendly name for the backup. This name need not be unique.
    filters list(object)
    infrastructure_type string
    The infrastructure type this resource belongs to.
    is_remote bool
    Indicates whether the backup destination is cross-region or local.
    state string
    The current state of the backup.
    autonomousContainerDatabaseBackupCollections List<GetAutonomousContainerBackupsAutonomousContainerBackupCollection>
    The list of autonomous_container_database_backup_collection.
    id String
    The provider-assigned unique ID for this managed resource.
    autonomousContainerDatabaseId String
    The OCID of the Autonomous Container Database.
    compartmentId String
    The OCID of the compartment.
    displayName String
    A user-friendly name for the backup. This name need not be unique.
    filters List<GetAutonomousContainerBackupsFilter>
    infrastructureType String
    The infrastructure type this resource belongs to.
    isRemote Boolean
    Indicates whether the backup destination is cross-region or local.
    state String
    The current state of the backup.
    autonomousContainerDatabaseBackupCollections GetAutonomousContainerDatabaseBackupsAutonomousContainerDatabaseBackupCollection[]
    The list of autonomous_container_database_backup_collection.
    id string
    The provider-assigned unique ID for this managed resource.
    autonomousContainerDatabaseId string
    The OCID of the Autonomous Container Database.
    compartmentId string
    The OCID of the compartment.
    displayName string
    A user-friendly name for the backup. This name need not be unique.
    filters GetAutonomousContainerDatabaseBackupsFilter[]
    infrastructureType string
    The infrastructure type this resource belongs to.
    isRemote boolean
    Indicates whether the backup destination is cross-region or local.
    state string
    The current state of the backup.
    autonomous_container_database_backup_collections Sequence[GetAutonomousContainerDatabaseBackupsAutonomousContainerDatabaseBackupCollection]
    The list of autonomous_container_database_backup_collection.
    id str
    The provider-assigned unique ID for this managed resource.
    autonomous_container_database_id str
    The OCID of the Autonomous Container Database.
    compartment_id str
    The OCID of the compartment.
    display_name str
    A user-friendly name for the backup. This name need not be unique.
    filters Sequence[GetAutonomousContainerDatabaseBackupsFilter]
    infrastructure_type str
    The infrastructure type this resource belongs to.
    is_remote bool
    Indicates whether the backup destination is cross-region or local.
    state str
    The current state of the backup.
    autonomousContainerDatabaseBackupCollections List<Property Map>
    The list of autonomous_container_database_backup_collection.
    id String
    The provider-assigned unique ID for this managed resource.
    autonomousContainerDatabaseId String
    The OCID of the Autonomous Container Database.
    compartmentId String
    The OCID of the compartment.
    displayName String
    A user-friendly name for the backup. This name need not be unique.
    filters List<Property Map>
    infrastructureType String
    The infrastructure type this resource belongs to.
    isRemote Boolean
    Indicates whether the backup destination is cross-region or local.
    state String
    The current state of the backup.

    Supporting Types

    GetAutonomousContainerDatabaseBackupsAutonomousContainerDatabaseBackupCollection

    GetAutonomousContainerDatabaseBackupsAutonomousContainerDatabaseBackupCollectionItem

    AcdDisplayName string
    The user-friendly name for the Autonomous Container Database when the Backup was initiated. This name need not be unique. This field captures the name at the time of backup creation, accounting for possible later updates to the display name.
    AutonomousContainerDatabaseId string
    The Autonomous Container Database OCID.
    AutonomousDatabases List<GetAutonomousContainerDatabaseBackupsAutonomousContainerDatabaseBackupCollectionItemAutonomousDatabase>
    List of Autonomous AI Databases that is part of this Autonomous Container Database Backup
    BackupDestinationDetails List<GetAutonomousContainerDatabaseBackupsAutonomousContainerDatabaseBackupCollectionItemBackupDestinationDetail>
    Backup destination details
    CompartmentId string
    The compartment OCID.
    DbVersion string
    A valid Oracle AI Database version for Autonomous AI Database. When you specify 23ai for dbversion, the system will provision a 23ai database, but the UI will display it as 26ai. When you specify 26ai for dbversion, the system will provision and display a 26ai database as expected. For new databases, it is recommended to use either 19c or 26ai.
    DefinedTags Dictionary<string, string>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    DisplayName string
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    FreeformTags Dictionary<string, string>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    Id string
    The OCID of the Autonomous AI Database backup.
    InfrastructureType string
    A filter to return only resources that match the given Infrastructure Type.
    IsAutomatic bool
    Indicates whether the backup is user-initiated or automatic.
    IsRemoteBackup bool
    Whether backup is for remote-region or local region
    LifecycleDetails string
    Additional information about the current lifecycle state.
    RetentionPeriodInDays int
    Retention period, in days, for long-term backups
    State string
    A filter to return only resources that match the given lifecycle state exactly.
    SystemTags Dictionary<string, string>
    System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    TimeEnded string
    The date and time the backup completed.
    TimeStarted string
    The date and time the backup started.
    Type string
    The type of backup.
    AcdDisplayName string
    The user-friendly name for the Autonomous Container Database when the Backup was initiated. This name need not be unique. This field captures the name at the time of backup creation, accounting for possible later updates to the display name.
    AutonomousContainerDatabaseId string
    The Autonomous Container Database OCID.
    AutonomousDatabases []GetAutonomousContainerDatabaseBackupsAutonomousContainerDatabaseBackupCollectionItemAutonomousDatabase
    List of Autonomous AI Databases that is part of this Autonomous Container Database Backup
    BackupDestinationDetails []GetAutonomousContainerDatabaseBackupsAutonomousContainerDatabaseBackupCollectionItemBackupDestinationDetail
    Backup destination details
    CompartmentId string
    The compartment OCID.
    DbVersion string
    A valid Oracle AI Database version for Autonomous AI Database. When you specify 23ai for dbversion, the system will provision a 23ai database, but the UI will display it as 26ai. When you specify 26ai for dbversion, the system will provision and display a 26ai database as expected. For new databases, it is recommended to use either 19c or 26ai.
    DefinedTags map[string]string
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    DisplayName string
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    FreeformTags map[string]string
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    Id string
    The OCID of the Autonomous AI Database backup.
    InfrastructureType string
    A filter to return only resources that match the given Infrastructure Type.
    IsAutomatic bool
    Indicates whether the backup is user-initiated or automatic.
    IsRemoteBackup bool
    Whether backup is for remote-region or local region
    LifecycleDetails string
    Additional information about the current lifecycle state.
    RetentionPeriodInDays int
    Retention period, in days, for long-term backups
    State string
    A filter to return only resources that match the given lifecycle state exactly.
    SystemTags map[string]string
    System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    TimeEnded string
    The date and time the backup completed.
    TimeStarted string
    The date and time the backup started.
    Type string
    The type of backup.
    acd_display_name string
    The user-friendly name for the Autonomous Container Database when the Backup was initiated. This name need not be unique. This field captures the name at the time of backup creation, accounting for possible later updates to the display name.
    autonomous_container_database_id string
    The Autonomous Container Database OCID.
    autonomous_databases list(object)
    List of Autonomous AI Databases that is part of this Autonomous Container Database Backup
    backup_destination_details list(object)
    Backup destination details
    compartment_id string
    The compartment OCID.
    db_version string
    A valid Oracle AI Database version for Autonomous AI Database. When you specify 23ai for dbversion, the system will provision a 23ai database, but the UI will display it as 26ai. When you specify 26ai for dbversion, the system will provision and display a 26ai database as expected. For new databases, it is recommended to use either 19c or 26ai.
    defined_tags map(string)
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    display_name string
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    freeform_tags map(string)
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    id string
    The OCID of the Autonomous AI Database backup.
    infrastructure_type string
    A filter to return only resources that match the given Infrastructure Type.
    is_automatic bool
    Indicates whether the backup is user-initiated or automatic.
    is_remote_backup bool
    Whether backup is for remote-region or local region
    lifecycle_details string
    Additional information about the current lifecycle state.
    retention_period_in_days number
    Retention period, in days, for long-term backups
    state string
    A filter to return only resources that match the given lifecycle state exactly.
    system_tags map(string)
    System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    time_ended string
    The date and time the backup completed.
    time_started string
    The date and time the backup started.
    type string
    The type of backup.
    acdDisplayName String
    The user-friendly name for the Autonomous Container Database when the Backup was initiated. This name need not be unique. This field captures the name at the time of backup creation, accounting for possible later updates to the display name.
    autonomousContainerDatabaseId String
    The Autonomous Container Database OCID.
    autonomousDatabases List<GetAutonomousContainerBackupsAutonomousContainerBackupCollectionItemAutonomous>
    List of Autonomous AI Databases that is part of this Autonomous Container Database Backup
    backupDestinationDetails List<GetAutonomousContainerBackupsAutonomousContainerBackupCollectionItemBackupDestinationDetail>
    Backup destination details
    compartmentId String
    The compartment OCID.
    dbVersion String
    A valid Oracle AI Database version for Autonomous AI Database. When you specify 23ai for dbversion, the system will provision a 23ai database, but the UI will display it as 26ai. When you specify 26ai for dbversion, the system will provision and display a 26ai database as expected. For new databases, it is recommended to use either 19c or 26ai.
    definedTags Map<String,String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    displayName String
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    freeformTags Map<String,String>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    id String
    The OCID of the Autonomous AI Database backup.
    infrastructureType String
    A filter to return only resources that match the given Infrastructure Type.
    isAutomatic Boolean
    Indicates whether the backup is user-initiated or automatic.
    isRemoteBackup Boolean
    Whether backup is for remote-region or local region
    lifecycleDetails String
    Additional information about the current lifecycle state.
    retentionPeriodInDays Integer
    Retention period, in days, for long-term backups
    state String
    A filter to return only resources that match the given lifecycle state exactly.
    systemTags Map<String,String>
    System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    timeEnded String
    The date and time the backup completed.
    timeStarted String
    The date and time the backup started.
    type String
    The type of backup.
    acdDisplayName string
    The user-friendly name for the Autonomous Container Database when the Backup was initiated. This name need not be unique. This field captures the name at the time of backup creation, accounting for possible later updates to the display name.
    autonomousContainerDatabaseId string
    The Autonomous Container Database OCID.
    autonomousDatabases GetAutonomousContainerDatabaseBackupsAutonomousContainerDatabaseBackupCollectionItemAutonomousDatabase[]
    List of Autonomous AI Databases that is part of this Autonomous Container Database Backup
    backupDestinationDetails GetAutonomousContainerDatabaseBackupsAutonomousContainerDatabaseBackupCollectionItemBackupDestinationDetail[]
    Backup destination details
    compartmentId string
    The compartment OCID.
    dbVersion string
    A valid Oracle AI Database version for Autonomous AI Database. When you specify 23ai for dbversion, the system will provision a 23ai database, but the UI will display it as 26ai. When you specify 26ai for dbversion, the system will provision and display a 26ai database as expected. For new databases, it is recommended to use either 19c or 26ai.
    definedTags {[key: string]: string}
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    displayName string
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    freeformTags {[key: string]: string}
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    id string
    The OCID of the Autonomous AI Database backup.
    infrastructureType string
    A filter to return only resources that match the given Infrastructure Type.
    isAutomatic boolean
    Indicates whether the backup is user-initiated or automatic.
    isRemoteBackup boolean
    Whether backup is for remote-region or local region
    lifecycleDetails string
    Additional information about the current lifecycle state.
    retentionPeriodInDays number
    Retention period, in days, for long-term backups
    state string
    A filter to return only resources that match the given lifecycle state exactly.
    systemTags {[key: string]: string}
    System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    timeEnded string
    The date and time the backup completed.
    timeStarted string
    The date and time the backup started.
    type string
    The type of backup.
    acd_display_name str
    The user-friendly name for the Autonomous Container Database when the Backup was initiated. This name need not be unique. This field captures the name at the time of backup creation, accounting for possible later updates to the display name.
    autonomous_container_database_id str
    The Autonomous Container Database OCID.
    autonomous_databases Sequence[GetAutonomousContainerDatabaseBackupsAutonomousContainerDatabaseBackupCollectionItemAutonomousDatabase]
    List of Autonomous AI Databases that is part of this Autonomous Container Database Backup
    backup_destination_details Sequence[GetAutonomousContainerDatabaseBackupsAutonomousContainerDatabaseBackupCollectionItemBackupDestinationDetail]
    Backup destination details
    compartment_id str
    The compartment OCID.
    db_version str
    A valid Oracle AI Database version for Autonomous AI Database. When you specify 23ai for dbversion, the system will provision a 23ai database, but the UI will display it as 26ai. When you specify 26ai for dbversion, the system will provision and display a 26ai database as expected. For new databases, it is recommended to use either 19c or 26ai.
    defined_tags Mapping[str, str]
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    display_name str
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    freeform_tags Mapping[str, str]
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    id str
    The OCID of the Autonomous AI Database backup.
    infrastructure_type str
    A filter to return only resources that match the given Infrastructure Type.
    is_automatic bool
    Indicates whether the backup is user-initiated or automatic.
    is_remote_backup bool
    Whether backup is for remote-region or local region
    lifecycle_details str
    Additional information about the current lifecycle state.
    retention_period_in_days int
    Retention period, in days, for long-term backups
    state str
    A filter to return only resources that match the given lifecycle state exactly.
    system_tags Mapping[str, str]
    System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    time_ended str
    The date and time the backup completed.
    time_started str
    The date and time the backup started.
    type str
    The type of backup.
    acdDisplayName String
    The user-friendly name for the Autonomous Container Database when the Backup was initiated. This name need not be unique. This field captures the name at the time of backup creation, accounting for possible later updates to the display name.
    autonomousContainerDatabaseId String
    The Autonomous Container Database OCID.
    autonomousDatabases List<Property Map>
    List of Autonomous AI Databases that is part of this Autonomous Container Database Backup
    backupDestinationDetails List<Property Map>
    Backup destination details
    compartmentId String
    The compartment OCID.
    dbVersion String
    A valid Oracle AI Database version for Autonomous AI Database. When you specify 23ai for dbversion, the system will provision a 23ai database, but the UI will display it as 26ai. When you specify 26ai for dbversion, the system will provision and display a 26ai database as expected. For new databases, it is recommended to use either 19c or 26ai.
    definedTags Map<String>
    Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    displayName String
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    freeformTags Map<String>
    Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {"Department": "Finance"}
    id String
    The OCID of the Autonomous AI Database backup.
    infrastructureType String
    A filter to return only resources that match the given Infrastructure Type.
    isAutomatic Boolean
    Indicates whether the backup is user-initiated or automatic.
    isRemoteBackup Boolean
    Whether backup is for remote-region or local region
    lifecycleDetails String
    Additional information about the current lifecycle state.
    retentionPeriodInDays Number
    Retention period, in days, for long-term backups
    state String
    A filter to return only resources that match the given lifecycle state exactly.
    systemTags Map<String>
    System tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags.
    timeEnded String
    The date and time the backup completed.
    timeStarted String
    The date and time the backup started.
    type String
    The type of backup.

    GetAutonomousContainerDatabaseBackupsAutonomousContainerDatabaseBackupCollectionItemAutonomousDatabase

    CompartmentId string
    The compartment OCID.
    DisplayName string
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    State string
    A filter to return only resources that match the given lifecycle state exactly.
    CompartmentId string
    The compartment OCID.
    DisplayName string
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    State string
    A filter to return only resources that match the given lifecycle state exactly.
    compartment_id string
    The compartment OCID.
    display_name string
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    state string
    A filter to return only resources that match the given lifecycle state exactly.
    compartmentId String
    The compartment OCID.
    displayName String
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    state String
    A filter to return only resources that match the given lifecycle state exactly.
    compartmentId string
    The compartment OCID.
    displayName string
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    state string
    A filter to return only resources that match the given lifecycle state exactly.
    compartment_id str
    The compartment OCID.
    display_name str
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    state str
    A filter to return only resources that match the given lifecycle state exactly.
    compartmentId String
    The compartment OCID.
    displayName String
    A filter to return only resources that match the entire display name given. The match is not case sensitive.
    state String
    A filter to return only resources that match the given lifecycle state exactly.

    GetAutonomousContainerDatabaseBackupsAutonomousContainerDatabaseBackupCollectionItemBackupDestinationDetail

    BackupRetentionPolicyOnTerminate string
    Defines the automatic and manual backup retention policy for the Autonomous AI Database termination. The retention policy set on the Autonomous Container Database is not applicable for cross region remote backups and backups hosted on recovery Appliance backup destination. Options are 'RETAIN_PER_RETENTION_WINDOW' or 'RETAIN_FOR_72_HOURS'.The default value is 'RETAIN_FOR_72_HOURS'.
    DbrsPolicyId string
    The OCID of the DBRS policy used for backup.
    Id string
    The OCID of the Autonomous AI Database backup.
    InternetProxy string
    Proxy URL to connect to object store.
    IsRemote bool
    call for all remote backups
    IsRetentionLockEnabled bool
    Indicates if backup retention is locked for all the database backups in the Autonomous Container Database (ACD). The retention window cannot be decreased if the backup retention lock is enabled. Once applied on the Autonomous Container Database, the retention lock cannot be removed, or the retention period cannot be decreased after a 14-day period. If the backup is a Long Term Backup and retention lock is enabled, the backup cannot be deleted and must expire. The retention lock set on the Autonomous Container Database is not applicable for cross region remote backups and backups hosted on recovery Appliance backup destination.
    IsZeroDataLossEnabled bool
    Indicates whether Zero Data Loss functionality is enabled for a Recovery Appliance backup destination in an Autonomous Container Database. When enabled, the database automatically ships all redo logs in real-time to the Recovery Appliance for a Zero Data Loss recovery setup (sub-second RPO). Defaults to TRUE if no value is given.
    RemoteRegion string
    The name of the remote region where the remote automatic incremental backups will be stored. For information about valid region names, see Regions and Availability Domains.
    Type string
    The type of backup.
    VpcPassword string
    For a RECOVERY_APPLIANCE backup destination, the password for the VPC user that is used to access the Recovery Appliance.
    VpcUser string
    For a RECOVERY_APPLIANCE backup destination, the Virtual Private Catalog (VPC) user that is used to access the Recovery Appliance.
    BackupRetentionPolicyOnTerminate string
    Defines the automatic and manual backup retention policy for the Autonomous AI Database termination. The retention policy set on the Autonomous Container Database is not applicable for cross region remote backups and backups hosted on recovery Appliance backup destination. Options are 'RETAIN_PER_RETENTION_WINDOW' or 'RETAIN_FOR_72_HOURS'.The default value is 'RETAIN_FOR_72_HOURS'.
    DbrsPolicyId string
    The OCID of the DBRS policy used for backup.
    Id string
    The OCID of the Autonomous AI Database backup.
    InternetProxy string
    Proxy URL to connect to object store.
    IsRemote bool
    call for all remote backups
    IsRetentionLockEnabled bool
    Indicates if backup retention is locked for all the database backups in the Autonomous Container Database (ACD). The retention window cannot be decreased if the backup retention lock is enabled. Once applied on the Autonomous Container Database, the retention lock cannot be removed, or the retention period cannot be decreased after a 14-day period. If the backup is a Long Term Backup and retention lock is enabled, the backup cannot be deleted and must expire. The retention lock set on the Autonomous Container Database is not applicable for cross region remote backups and backups hosted on recovery Appliance backup destination.
    IsZeroDataLossEnabled bool
    Indicates whether Zero Data Loss functionality is enabled for a Recovery Appliance backup destination in an Autonomous Container Database. When enabled, the database automatically ships all redo logs in real-time to the Recovery Appliance for a Zero Data Loss recovery setup (sub-second RPO). Defaults to TRUE if no value is given.
    RemoteRegion string
    The name of the remote region where the remote automatic incremental backups will be stored. For information about valid region names, see Regions and Availability Domains.
    Type string
    The type of backup.
    VpcPassword string
    For a RECOVERY_APPLIANCE backup destination, the password for the VPC user that is used to access the Recovery Appliance.
    VpcUser string
    For a RECOVERY_APPLIANCE backup destination, the Virtual Private Catalog (VPC) user that is used to access the Recovery Appliance.
    backup_retention_policy_on_terminate string
    Defines the automatic and manual backup retention policy for the Autonomous AI Database termination. The retention policy set on the Autonomous Container Database is not applicable for cross region remote backups and backups hosted on recovery Appliance backup destination. Options are 'RETAIN_PER_RETENTION_WINDOW' or 'RETAIN_FOR_72_HOURS'.The default value is 'RETAIN_FOR_72_HOURS'.
    dbrs_policy_id string
    The OCID of the DBRS policy used for backup.
    id string
    The OCID of the Autonomous AI Database backup.
    internet_proxy string
    Proxy URL to connect to object store.
    is_remote bool
    call for all remote backups
    is_retention_lock_enabled bool
    Indicates if backup retention is locked for all the database backups in the Autonomous Container Database (ACD). The retention window cannot be decreased if the backup retention lock is enabled. Once applied on the Autonomous Container Database, the retention lock cannot be removed, or the retention period cannot be decreased after a 14-day period. If the backup is a Long Term Backup and retention lock is enabled, the backup cannot be deleted and must expire. The retention lock set on the Autonomous Container Database is not applicable for cross region remote backups and backups hosted on recovery Appliance backup destination.
    is_zero_data_loss_enabled bool
    Indicates whether Zero Data Loss functionality is enabled for a Recovery Appliance backup destination in an Autonomous Container Database. When enabled, the database automatically ships all redo logs in real-time to the Recovery Appliance for a Zero Data Loss recovery setup (sub-second RPO). Defaults to TRUE if no value is given.
    remote_region string
    The name of the remote region where the remote automatic incremental backups will be stored. For information about valid region names, see Regions and Availability Domains.
    type string
    The type of backup.
    vpc_password string
    For a RECOVERY_APPLIANCE backup destination, the password for the VPC user that is used to access the Recovery Appliance.
    vpc_user string
    For a RECOVERY_APPLIANCE backup destination, the Virtual Private Catalog (VPC) user that is used to access the Recovery Appliance.
    backupRetentionPolicyOnTerminate String
    Defines the automatic and manual backup retention policy for the Autonomous AI Database termination. The retention policy set on the Autonomous Container Database is not applicable for cross region remote backups and backups hosted on recovery Appliance backup destination. Options are 'RETAIN_PER_RETENTION_WINDOW' or 'RETAIN_FOR_72_HOURS'.The default value is 'RETAIN_FOR_72_HOURS'.
    dbrsPolicyId String
    The OCID of the DBRS policy used for backup.
    id String
    The OCID of the Autonomous AI Database backup.
    internetProxy String
    Proxy URL to connect to object store.
    isRemote Boolean
    call for all remote backups
    isRetentionLockEnabled Boolean
    Indicates if backup retention is locked for all the database backups in the Autonomous Container Database (ACD). The retention window cannot be decreased if the backup retention lock is enabled. Once applied on the Autonomous Container Database, the retention lock cannot be removed, or the retention period cannot be decreased after a 14-day period. If the backup is a Long Term Backup and retention lock is enabled, the backup cannot be deleted and must expire. The retention lock set on the Autonomous Container Database is not applicable for cross region remote backups and backups hosted on recovery Appliance backup destination.
    isZeroDataLossEnabled Boolean
    Indicates whether Zero Data Loss functionality is enabled for a Recovery Appliance backup destination in an Autonomous Container Database. When enabled, the database automatically ships all redo logs in real-time to the Recovery Appliance for a Zero Data Loss recovery setup (sub-second RPO). Defaults to TRUE if no value is given.
    remoteRegion String
    The name of the remote region where the remote automatic incremental backups will be stored. For information about valid region names, see Regions and Availability Domains.
    type String
    The type of backup.
    vpcPassword String
    For a RECOVERY_APPLIANCE backup destination, the password for the VPC user that is used to access the Recovery Appliance.
    vpcUser String
    For a RECOVERY_APPLIANCE backup destination, the Virtual Private Catalog (VPC) user that is used to access the Recovery Appliance.
    backupRetentionPolicyOnTerminate string
    Defines the automatic and manual backup retention policy for the Autonomous AI Database termination. The retention policy set on the Autonomous Container Database is not applicable for cross region remote backups and backups hosted on recovery Appliance backup destination. Options are 'RETAIN_PER_RETENTION_WINDOW' or 'RETAIN_FOR_72_HOURS'.The default value is 'RETAIN_FOR_72_HOURS'.
    dbrsPolicyId string
    The OCID of the DBRS policy used for backup.
    id string
    The OCID of the Autonomous AI Database backup.
    internetProxy string
    Proxy URL to connect to object store.
    isRemote boolean
    call for all remote backups
    isRetentionLockEnabled boolean
    Indicates if backup retention is locked for all the database backups in the Autonomous Container Database (ACD). The retention window cannot be decreased if the backup retention lock is enabled. Once applied on the Autonomous Container Database, the retention lock cannot be removed, or the retention period cannot be decreased after a 14-day period. If the backup is a Long Term Backup and retention lock is enabled, the backup cannot be deleted and must expire. The retention lock set on the Autonomous Container Database is not applicable for cross region remote backups and backups hosted on recovery Appliance backup destination.
    isZeroDataLossEnabled boolean
    Indicates whether Zero Data Loss functionality is enabled for a Recovery Appliance backup destination in an Autonomous Container Database. When enabled, the database automatically ships all redo logs in real-time to the Recovery Appliance for a Zero Data Loss recovery setup (sub-second RPO). Defaults to TRUE if no value is given.
    remoteRegion string
    The name of the remote region where the remote automatic incremental backups will be stored. For information about valid region names, see Regions and Availability Domains.
    type string
    The type of backup.
    vpcPassword string
    For a RECOVERY_APPLIANCE backup destination, the password for the VPC user that is used to access the Recovery Appliance.
    vpcUser string
    For a RECOVERY_APPLIANCE backup destination, the Virtual Private Catalog (VPC) user that is used to access the Recovery Appliance.
    backup_retention_policy_on_terminate str
    Defines the automatic and manual backup retention policy for the Autonomous AI Database termination. The retention policy set on the Autonomous Container Database is not applicable for cross region remote backups and backups hosted on recovery Appliance backup destination. Options are 'RETAIN_PER_RETENTION_WINDOW' or 'RETAIN_FOR_72_HOURS'.The default value is 'RETAIN_FOR_72_HOURS'.
    dbrs_policy_id str
    The OCID of the DBRS policy used for backup.
    id str
    The OCID of the Autonomous AI Database backup.
    internet_proxy str
    Proxy URL to connect to object store.
    is_remote bool
    call for all remote backups
    is_retention_lock_enabled bool
    Indicates if backup retention is locked for all the database backups in the Autonomous Container Database (ACD). The retention window cannot be decreased if the backup retention lock is enabled. Once applied on the Autonomous Container Database, the retention lock cannot be removed, or the retention period cannot be decreased after a 14-day period. If the backup is a Long Term Backup and retention lock is enabled, the backup cannot be deleted and must expire. The retention lock set on the Autonomous Container Database is not applicable for cross region remote backups and backups hosted on recovery Appliance backup destination.
    is_zero_data_loss_enabled bool
    Indicates whether Zero Data Loss functionality is enabled for a Recovery Appliance backup destination in an Autonomous Container Database. When enabled, the database automatically ships all redo logs in real-time to the Recovery Appliance for a Zero Data Loss recovery setup (sub-second RPO). Defaults to TRUE if no value is given.
    remote_region str
    The name of the remote region where the remote automatic incremental backups will be stored. For information about valid region names, see Regions and Availability Domains.
    type str
    The type of backup.
    vpc_password str
    For a RECOVERY_APPLIANCE backup destination, the password for the VPC user that is used to access the Recovery Appliance.
    vpc_user str
    For a RECOVERY_APPLIANCE backup destination, the Virtual Private Catalog (VPC) user that is used to access the Recovery Appliance.
    backupRetentionPolicyOnTerminate String
    Defines the automatic and manual backup retention policy for the Autonomous AI Database termination. The retention policy set on the Autonomous Container Database is not applicable for cross region remote backups and backups hosted on recovery Appliance backup destination. Options are 'RETAIN_PER_RETENTION_WINDOW' or 'RETAIN_FOR_72_HOURS'.The default value is 'RETAIN_FOR_72_HOURS'.
    dbrsPolicyId String
    The OCID of the DBRS policy used for backup.
    id String
    The OCID of the Autonomous AI Database backup.
    internetProxy String
    Proxy URL to connect to object store.
    isRemote Boolean
    call for all remote backups
    isRetentionLockEnabled Boolean
    Indicates if backup retention is locked for all the database backups in the Autonomous Container Database (ACD). The retention window cannot be decreased if the backup retention lock is enabled. Once applied on the Autonomous Container Database, the retention lock cannot be removed, or the retention period cannot be decreased after a 14-day period. If the backup is a Long Term Backup and retention lock is enabled, the backup cannot be deleted and must expire. The retention lock set on the Autonomous Container Database is not applicable for cross region remote backups and backups hosted on recovery Appliance backup destination.
    isZeroDataLossEnabled Boolean
    Indicates whether Zero Data Loss functionality is enabled for a Recovery Appliance backup destination in an Autonomous Container Database. When enabled, the database automatically ships all redo logs in real-time to the Recovery Appliance for a Zero Data Loss recovery setup (sub-second RPO). Defaults to TRUE if no value is given.
    remoteRegion String
    The name of the remote region where the remote automatic incremental backups will be stored. For information about valid region names, see Regions and Availability Domains.
    type String
    The type of backup.
    vpcPassword String
    For a RECOVERY_APPLIANCE backup destination, the password for the VPC user that is used to access the Recovery Appliance.
    vpcUser String
    For a RECOVERY_APPLIANCE backup destination, the Virtual Private Catalog (VPC) user that is used to access the Recovery Appliance.

    GetAutonomousContainerDatabaseBackupsFilter

    Name string
    Values List<string>
    Regex bool
    Name string
    Values []string
    Regex bool
    name string
    values list(string)
    regex bool
    name String
    values List<String>
    regex Boolean
    name string
    values string[]
    regex boolean
    name str
    values Sequence[str]
    regex bool
    name String
    values List<String>
    regex Boolean

    Package Details

    Repository
    oci pulumi/pulumi-oci
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the oci Terraform Provider.
    oci logo oci logo
    Viewing docs for Oracle Cloud Infrastructure v5.1.0
    published on Friday, Sep 25, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial